RIO_SPORT_IS_ACTIVE(9)

NAME
rio_sport_is_active - Tests if a switch port has an active connection.

SYNOPSIS

int rio_sport_is_active (struct rio_mport * port, u16 destid, u8 hopcount, int sport);

ARGUMENTS

port
    Master port to send transaction

destid
    Associated destination ID for switch

hopcount
    Hopcount to reach switch

sport
    Switch port number

DESCRIPTION

Reads the port error status CSR for a particular switch port to determine if the port has an active link. Returns PORT_N_ERR_STS_PORT_OK if the port is active or 0 if it is inactive.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.